﻿<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE Testplan SYSTEM "testplan.dtd">
<Testplan>
  <BlockDefinitions>
    <Block id="B_NR_BS_PerformanceTests" type="Device" category="User Blocks" parent="User" visible="False" description="">
      <Ports>
        <InPort id="BlockInPort" />
        <OutPort id="BlockOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Init" name="Init" exectime="TestrunBefore" description="Initialization activities for this block" usable="True">
          <Details>Initialization activities for this block, e.g. member initialization, 
initialization of measurement equipment, starting timer, etc.
Typically executed in TestrunBefore.</Details>
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[SHORTNAMELENGTH]" value="" description="" />
          <Parameter id="ForceScpi" name="Force sending SCPI commands." type="bool" value="false" description="" />
          <Parameter id="VisaResource" name="SMW" type="VISA_Resource[LONGNAMELENGTH]" value="TCPIP::192.168.1.3::HISLIP" description="" />
        </Function>
        <Function id="PrintIdentity" name="PrintIdentity" description="Print identity of this block and/or its associated equipment." usable="False">
          <Details>Print identity of this block and/or its associated equipment.</Details>
        </Function>
        <Function id="Open" name="Open" exectime="TestrunBefore" description="Activities to open connections, channels or other communication interfaces." usable="False">
          <Details>Activities to open connections, channels or other communication interfaces.</Details>
        </Function>
        <Function id="Close" name="Close" exectime="TestrunAfter" description="Activities to close connections, channels or other communication interfaces.">
          <Details>Activities to close connections, channels or other communication interfaces.</Details>
        </Function>
        <Function id="Reset" name="Reset" description="Activities to reset the block and its associated equipment to its default state." usable="False">
          <Details>Activities to reset the block and its associated equipment to its default state.</Details>
        </Function>
        <Function id="SCPIRead" name="SCPI Read" description="Fetches the reply of a previously sent SCPI-Query Command." usable="False">
          <Details>Configurable Result Logging of the received value is available.</Details>
          <Reply id="reply" name="reply" type="char[LONGNAMELENGTH]" value="" description="" />
          <Parameter id="writeToResults" name="Write to results?" type="bool" value="false" description="Determines if the fetched value is logged to the results." />
          <Parameter id="resultType" name="Result Data Type" type="char[SHORTNAMELENGTH]" value="string" description="Determines the data type which is used to log the received value.">
            <enum>
              <item value="string">String</item>
              <item value="int">Integer</item>
              <item value="double">Double</item>
            </enum>
          </Parameter>
          <Parameter id="decimalPlaces" name="Number of decimal places" type="int" value="3" description="Determines the number of decimal places of double values, prompted in the Log Viewer." />
          <Parameter id="resultHeader" name="Result Header" type="char[SHORTNAMELENGTH]" value="Result" description="Determines the Header which is used in the Result File." />
          <Parameter id="resultUnit" name="Result Unit" type="char[SHORTNAMELENGTH]" value="Unit" description="Determines the Unit which is used in the Result File." />
        </Function>
        <Function id="SCPIWrite" name="SCPI Write" description="Send a SCPI Command to the device." usable="False">
          <Details>Sends a manually entered SCPI Command to the device. The SCPI command has to be entered as string.</Details>
          <Reply id="Reply" name="Reply" type="int" description="VISA Status" />
          <Parameter id="ScpiCmd" name="SCPI Command" type="SCPI_Command[LONGNAMELENGTH]" description="Command to be sent" />
        </Function>
        <Function id="SCPIQuery" name="SCPI Query" description="Combination of SCPI-Write and SCPI-Read" usable="False">
          <Details>The SCPI query to send has to be entered as string. Configurable Result Logging of the received value is available. </Details>
          <Reply id="reply" name="reply" type="char[LONGNAMELENGTH]" value="" description="" />
          <Parameter id="scpiCommand" name="SCPI Query" type="SCPI_Command[LONGNAMELENGTH]" description="Command to be sent." />
          <Parameter id="writeToResults" name="Write to results?" type="bool" value="false" description="Determines if the fetched value is logged to results." />
          <Parameter id="resultType" name="Result Data Type" type="char[SHORTNAMELENGTH]" value="string" description="Determines the data type which is used to log the received value.">
            <enum>
              <item value="string">String</item>
              <item value="int">Integer</item>
              <item value="double">Double</item>
            </enum>
          </Parameter>
          <Parameter id="decimalPlaces" name="Number of decimal places" type="int" value="3" description="Determines the number of decimal places of double values which are prompted in the Log Viewer." />
          <Parameter id="resultHeader" name="Result Header" type="char[SHORTNAMELENGTH]" value="Result" description="Determines the Header which is used in Result File." />
          <Parameter id="resultUnit" name="Result Unit" type="char[SHORTNAMELENGTH]" value="Unit" description="Determines the Unit which is used in Result File." />
        </Function>
        <Function id="SCPIWriteTillDone" name="SCPI WriteTillDone" description="Sends a SCPI Command to the device and waits for Operation-Complete" usable="False">
          <Details>Sends a manually entered SCPI Command to the device and waits until the command is completed. This is determined by waiting for the *OPC? from the instrument. The timeout for the *OPC? can be provided as parameter. 
If WaitForever is set to TRUE, no timeout is applied. In this case the *OPC query is resent if the timeout is reached.</Details>
          <Reply id="Reply" name="Reply" type="int" description="VISA Status" />
          <Parameter id="ScpiCmd" name="SCPI Command" type="SCPI_Command[LONGNAMELENGTH]" description="Command to be sent" />
          <Parameter id="WaitForever" name="WaitForever" type="bool" value="false" description="The Timeout is ignored if this flag is set to TRUE." />
          <Parameter id="TimeoutMsec" name="Timeout" type="int" value="2000" unit="msec" description="Timeout for Operation Complete" />
        </Function>
        <Function id="Basics" name="Basics" description="Basic Settings" usable="True">
          <Parameter id="BSClass" name="Base Station Class" type="int" value="0" description="">
            <enum>
              <item value="0">Wide Area BS</item>
              <item value="1">Medium Area BS</item>
              <item value="2">Local Area BS</item>
            </enum>
          </Parameter>
          <Parameter id="Frequency" name="Frequency (MHz)" type="double" value="1920" description="Frequency in MHz" />
          <Parameter id="ChannelBW" name="Channel Bandwidth (MHz)" type="int" value="12" description="Channel Bandwidth">
            <enum>
              <item value="0">5</item>
              <item value="1">10</item>
              <item value="2">15</item>
              <item value="3">20</item>
              <item value="4">25</item>
              <item value="5">30</item>
              <item value="6">40</item>
              <item value="7">50</item>
              <item value="8">60</item>
              <item value="9">70</item>
              <item value="10">80</item>
              <item value="11">90</item>
              <item value="12">100</item>
            </enum>
          </Parameter>
          <Parameter id="SCS" name="SCS" type="int" value="0" description="Subcarrier Spacing">
            <enum>
              <item value="0">15 kHz</item>
              <item value="1">30 kHz</item>
              <item value="2">60 kHz</item>
            </enum>
          </Parameter>
          <Parameter id="CellID" name="Cell ID" type="int" value="0" description="" />
          <Parameter id="UEID" name="UE ID" type="int" value="0" description="" />
          <Parameter id="TriggerMode" name="Trigger" type="int" value="0" description="">
            <enum>
              <item value="0">Armed Auto (Ext.)</item>
              <item value="1">Unchanged</item>
            </enum>
          </Parameter>
          <Parameter id="MarkerMode" name="Marker" type="int" value="0" description="">
            <enum>
              <item value="0">Radio Frame Start</item>
              <item value="1">Unchanged</item>
            </enum>
          </Parameter>
          <Parameter id="RxAntennas" name="Rx Antennas" type="int" value="0" description="Number of Rx Antennas">
            <enum>
              <item value="2">2 Rx</item>
              <item value="4">4 Rx</item>
              <item value="8">8 Rx</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="Px_8_2_1_PUSCH_PrecDis" name="Px_8_2_1_PUSCH_PrecDis" usable="True" description="8.2.1. Performance PUSCH with transform precoding disabled">
          <Parameter id="TxAntenna" name="Tx Antennas" type="int" value="0" description="Number Transmit Antennas">
            <enum>
              <item value="0">1 Tx</item>
              <item value="1">2 Tx</item>
            </enum>
          </Parameter>
          <Parameter id="Duplexing" name="Duplexing" type="int" value="0" description="">
            <enum>
              <item value="0">FDD</item>
              <item value="1">TDD</item>
            </enum>
          </Parameter>
          <Parameter id="PropagationConditions" name="Propagation conditions" type="int" value="0" description="">
            <enum>
              <item value="0">TDLB100-400</item>
              <item value="1">TDLC300-100</item>
              <item value="2">TDLCA30-10</item>
            </enum>
          </Parameter>
          <Parameter id="MappingType" name="Mapping Type" type="int" value="0" description="">
            <enum>
              <item value="0">A</item>
              <item value="1">B</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="0" description="" />
          <Parameter id="FeedbackMode" name="Feedback Mode" type="int" value="0" description="">
            <enum>
              <item value="0">Serial</item>
              <item value="1">Serial 3x8</item>
            </enum>
          </Parameter>
          <Parameter id="FeedbackRate" name="Feedback Data Rate" type="int" value="2" description="Serial Data Rate">
            <enum>
              <item value="0">115.2 kbits/s</item>
              <item value="1">1.6 Mbits/s</item>
              <item value="2">1.92 Mbit/s</item>
            </enum>
          </Parameter>
          <Parameter id="AdditionalDelay" name="Additional User Delay (slots)" type="double" value="-2.0" description="Additional Delay in Slots" />
          <Parameter id="FeedbackConnector" name="Feedback Connector" type="int" value="0" description="">
            <enum>
              <item value="0">Local</item>
            </enum>
          </Parameter>
          <Parameter id="BasebandSelector" name="Baseband Selector" type="int" value="0" description="" />
        </Function>
        <Function id="Px_8_2_2_PUSCH_PrecEna" name="Px_8_2_2_PUSCH_PrecEna" usable="True" description="8.2.2. Performance PUSCH with transform precoding enabled">
          <Parameter id="TxAntenna" name="Tx Antennas" type="int" value="0" description="Number Transmit Antennas">
            <enum>
              <item value="0">1</item>
              <item value="1">2</item>
            </enum>
          </Parameter>
          <Parameter id="Duplexing" name="Duplexing" type="int" value="0" description="">
            <enum>
              <item value="0">FDD</item>
              <item value="1">TDD</item>
            </enum>
          </Parameter>
          <Parameter id="PropagationConditions" name="Propagation conditions" type="int" value="0" description="">
            <enum>
              <item value="0">TDLB100-400</item>
              <item value="1">TDLC300-100</item>
              <item value="2">TDLA30-10</item>
            </enum>
          </Parameter>
          <Parameter id="MappingType" name="Mapping Type" type="int" value="0" description="">
            <enum>
              <item value="0">A</item>
              <item value="1">B</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="0" description="" />
          <Parameter id="FeedbackMode" name="Feedback Mode" type="int" value="0" description="">
            <enum>
              <item value="0">Serial</item>
              <item value="1">Serial 3x8</item>
            </enum>
          </Parameter>
          <Parameter id="FeedbackRate" name="Feedback Data Rate" type="int" value="2" description="Serial Data Rate">
            <enum>
              <item value="0">115.2 kbits/</item>
              <item value="1">1.6 Mbits/s</item>
              <item value="2">1.92 Mbit/s</item>
            </enum>
          </Parameter>
          <Parameter id="AdditionalDelay" name="Feedback User Delay (slots)" type="double" value="-2.00" description="Additional Delay in Slots" />
          <Parameter id="FeedbackConnector" name="Feedback Connector" type="int" value="0" description="">
            <enum>
              <item value="0">Local</item>
              <item value="1">Global</item>
            </enum>
          </Parameter>
          <Parameter id="BasebandSelector" name="Baseband Selector" type="int" value="0" description="" />
        </Function>
        <Function id="Px_8_2_3_UCI_multiplexed_on_PUSCH" name="Px_8_2_3_UCI_multiplexed_on_PUSCH" usable="True" description="8.2.3 Performance requirements for UCI multiplexed on PUSCH">
          <Parameter id="TxAntenna" name="Tx Antennas" type="int" value="0" description="Number Transmit Antennas">
            <enum>
              <item value="0">1 Tx</item>
              <item value="1">2 Tx</item>
            </enum>
          </Parameter>
          <Parameter id="Duplexing" name="Duplexing" type="int" value="0" description="">
            <enum>
              <item value="0">FDD</item>
              <item value="1">TDD</item>
            </enum>
          </Parameter>
          <Parameter id="MappingType" name="Mapping Type" type="int" value="0" description="">
            <enum>
              <item value="0">A</item>
              <item value="1">B</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="0" description="" />
          <Parameter id="CSIPart" name="CSI Part" type="int" value="1" description="">
            <enum>
              <item value="1">1</item>
              <item value="2">2</item>
            </enum>
          </Parameter>
          <Parameter id="UCIBits" name="UCI Bits" type="int" value="7" description="">
            <enum>
              <item value="7">7</item>
              <item value="40">40</item>
            </enum>
          </Parameter>
          <Parameter id="CSI1Pattern" name="CSI 1 Pattern" type="char[]" value="0A" unit="HEX" description="Please enter the CSI1 pattern in HEX format" />
          <Parameter id="CSI2Pattern" name="CSI 2 Pattern" type="char[]" value="2" unit="HEX" description="Please enter the CSI2 pattern in HEX format" />
        </Function>
        <Function id="Px_8_3_1_PUCCH_F0" name="Px_8_3_1_PUCCH_F0" usable="True" description="8.3.1 Performance requirements for PUCCH format 0 ">
          <Parameter id="Mode" name="Mode" type="int" value="0" description="">
            <enum>
              <item value="0">Detection Rate (Pd)</item>
              <item value="1">False Detection Rate (Pfa)</item>
            </enum>
          </Parameter>
          <Parameter id="OFDMSymbols" name="Number OFDM Symbols" type="int" value="2" description="" />
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="0" description="" />
        </Function>
        <Function id="Px_8_3_2_1_PUCCH_F1_NACK_to_ACK" name="Px_8_3_2_1_PUCCH_F1_NACK_to_ACK" usable="True" description="8.3.2.1 Performance requirements for PUCCH format 1 - NACK to ACK detection">
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_3_2_2_PUCCH_F1_ACK_missed_detection" name="Px_8_3_2_2_PUCCH_F1_ACK_missed_detection" usable="True" description="8.3.2.1 Performance requirements for PUCCH format 1 - ACK missed detection">
          <Parameter id="Mode" name="Mode" type="int" value="0" description="">
            <enum>
              <item value="0">Detection Rate (Pd)</item>
              <item value="1">False Detection Rate (Pfa)</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_3_3_1_PUCCH_F2_ACK_missed_detection" name="Px_8_3_3_1_PUCCH_F2_ACK_missed_detection" description="8.3.3.1 Performance requirements for PUCCH format 2 - ACK missed detection" usable="True">
          <Parameter id="Mode" name="Mode" type="int" value="0" description="">
            <enum>
              <item value="0">Detection Rate (Pd)</item>
              <item value="1">False Detection Rate (Pfa)</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_3_3_2_PUCCH_F2_UCI_BLER" name="Px_8_3_3_2_PUCCH_F2_UCI_BLER" usable="True" description="8.3.3.2 Performance requirements for PUCCH format 2 - UCI BLER performance requirements">
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_3_4_PUCCH_F3" name="Px_8_3_4_PUCCH_F3" usable="True" description="8.3.4. Performance requirements for PUCCH format 3">
          <Parameter id="Testsetup" name="Test setup" type="int" value="1" description="">
            <enum>
              <item value="1">1</item>
              <item value="2">2</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSadd" name="Additional DMRS" type="bool" value="false" description="Use additional DMRS" />
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_3_5_PUCCH_F4" name="Px_8_3_5_PUCCH_F4" usable="True" description="8.3.5 Performance requirements for PUCCH format 4">
          <Parameter id="DMRSadd" name="Additional DMRS" type="bool" value="false" description="use additional DMRS" />
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_3_6_1_1_MultiSlot_PUCCH_F1_NACK_ACK" name="Px_8_3_6_1_1_MultiSlot_PUCCH_F1_NACK_ACK" description="8.3.6.1.1 Performance requirements for multi-slot PUCCH format 1 - NACK to ACK detection" usable="True">
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_3_6_1_2_MultiSlot_PUCCH_F1_ACK_miss" name="Px_8_3_6_1_2_MultiSlot_PUCCH_F1_ACK_miss" usable="True" description="8.3.6.1.2 Performance requirements for multi-slot PUCCH format 1 - ACK missed detection">
          <Parameter id="Mode" name="Mode" type="int" value="0" description="">
            <enum>
              <item value="0">Detection Rate (Pd)</item>
              <item value="1">False Detection Rate (Pfa)</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
        <Function id="Px_8_4_1_PRACH" name="Px_8_4_1_PRACH" usable="True" description="8.4.1 PRACH false alarm probability and missed detection">
          <Parameter id="Mode" name="Mode" type="int" value="0" description="">
            <enum>
              <item value="0">Detection Rate (Pd)</item>
              <item value="1">False Detection Rate (Pfa)</item>
            </enum>
          </Parameter>
          <Parameter id="PreambleFormat" name="Preamble Format" type="int" value="0" description="">
            <enum>
              <item value="0">0</item>
              <item value="1">A1</item>
              <item value="2">A2</item>
              <item value="3">A3</item>
              <item value="4">B4</item>
              <item value="5">C0</item>
              <item value="6">C2</item>
            </enum>
          </Parameter>
          <Parameter id="SCSPRACH" name="SCS-PRACH (kHz)" type="int" value="0" description="Sub carrier spacing PRACH">
            <enum>
              <item value="0">1.25</item>
              <item value="1">15</item>
              <item value="2">30</item>
            </enum>
          </Parameter>
          <Parameter id="FreqOffset" name="Frequency offset (Hz)" type="int" value="0" description="">
            <enum>
              <item value="0">0</item>
              <item value="400">400</item>
            </enum>
          </Parameter>
          <Parameter id="PropagationConditions" name="Propagation Conditions" type="int" value="0" description="">
            <enum>
              <item value="0">AWGN</item>
              <item value="1">TDLC300-100</item>
            </enum>
          </Parameter>
          <Parameter id="DMRSpos" name="DMRS TypeA Position" type="int" value="2" description="" />
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions>
        <Function id="newFunction" description="" />
        <Function id="CreateReport" name="CreateReport" description="Define general settings for a new report" usable="True">
          <Details>Create a new virtual report document. This function is mandatory and must be set at first before adding report items to the report.</Details>
          <Parameter id="Type" name="Type" type="char[LONGNAMELENGTH]" value="Body1" description="Chose a predefined layout for the master report or enter a path if a custom header is used.">
            <enum>
              <item value="Body1">Body1</item>
              <item value="Body2">Body2</item>
              <item value="Body3">Body3</item>
              <item value="Empty">Empty</item>
            </enum>
          </Parameter>
          <Parameter id="DutName" name="DutName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the DUT" />
          <Parameter id="ReportName" name="ReportName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the report. This name is used for the report filename also." />
          <Parameter id="Title" name="Title" type="char[LONGNAMELENGTH]" value="" description="Enter the main title of the report" />
          <Parameter id="Subtitle" name="Subtitle" type="char[]" value="" description="Enter a subtitle if necessarry" />
        </Function>
        <Function id="SaveReport" name="SaveReport" description="Save the report to the specified path" usable="True">
          <Details>This function will save the virtual report and all containing report items to a specified location. The output format can be DOC, PDF or HTML. Leave the path empty to write in the result path of the testplan.</Details>
          <Reply id="FullReportPath" name="FullReportPath" type="char[]" value="" description="Return the full report path to the report file, in case of PDF + HTML, only the full path to the PDF is returned." />
          <Parameter id="ReportType" name="ReportType" type="char[SHORTNAMELENGTH]" value="PDF" description="Report output type">
            <enum>
              <item value="HTML">HTML</item>
              <item value="PDF">PDF</item>
              <item value="PDFHTML">PDF + HTML</item>
              <item value="DOC">DOC</item>
            </enum>
          </Parameter>
          <Parameter id="ReportPath" name="ReportPath" type="char[]" value="" description="Report output path" />
        </Function>
        <Function id="AddMessage" name="AddMessage" description="Add a new message to the report">
          <Details>This report item will appear as a simple message output.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the message output format">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ShowTestStep" name="ShowTestStep" type="bool" description="Determine if the number of the current test step is shown in the message (Format: &quot;TestStep x:&quot;)" />
          <Parameter id="Text" name="Text" type="char[]" value="" description="The message output" />
        </Function>
        <Function id="AddResult" name="AddResult" description="Add a new result to the report">
          <Details>This report item will appear as a simple result view, which contains the name, value and the unit of a result.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the result output">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ResultName" name="ResultName" type="char[LONGNAMELENGTH]" value="" description="Name of the result" />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result" />
          <Parameter id="Format" name="Format" type="char[SHORTNAMELENGTH]" value="Decimal" description="Determine the format output of the result.">
            <enum>
              <item value="Decimal">Decimal</item>
              <item value="Hex">Hex</item>
              <item value="String">String</item>
            </enum>
          </Parameter>
          <Parameter id="ResultValue" name="ResultValue" type="char[]" value="" description="Value of the result" />
        </Function>
        <Function id="AddResultMinMax" name="AddResultMinMax" description="Add a result by using a bullet control with min and max boundaries">
          <Details>This report item will appear as a extented result output.</Details>
          <Parameter id="Name" name="Name" type="char[LONGNAMELENGTH]" value="" description="Name of the result" />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result" />
          <Parameter id="Min" name="Min" type="char[LONGNAMELENGTH]" value="" description="Minimun value" />
          <Parameter id="Max" name="Max" type="char[LONGNAMELENGTH]" value="" description="Maximum value" />
          <Parameter id="DecimalPlaces" name="DecimalPlaces" type="int" value="4" min="1" max="8" description="Number of decimal places for the result" />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value of the result" />
        </Function>
        <Function id="CreateTable" name="CreateTable" description="Create a new instance of a table">
          <Details>Initialize a new table in the virtual report. After initialze the table with an unique table id, use the functions 'AddDataRowToTable' or 'AddDataColumnToTable' to fill the table with result.
The width of each column can defined by using the parameter 'ColumnWidth'. Separate the input values with a semicolon and enter the width in relation to the full width of the report document.
The sum of all column widths must be 100. (For example, 3 columns with the relation 50;25;25)
Leave the field empty to divide the count of columns with the width of the report documents width.
      </Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for this table. This Id must be unique for each table in the report." />
          <Parameter id="ColumnCount" name="ColumnCount" type="int" value="1" min="1" max="100000" description="Enter the number of columns for this table" />
          <Parameter id="RowCount" name="RowCount" type="int" value="1" min="1" max="100000" description="Enter the number of rows for this table" />
          <Parameter id="ColumnWidth" name="ColumnWidth" type="char[]" value="" description="Enter the width of each column in relation to the document width." />
        </Function>
        <Function id="AddDataRowToTable" name="AddDataRowToTable" description="Add a series of data at the specified position of the depending table">
          <Details>Add single or array of data to an existing table-row. The parameter 'Column' and 'Row' define the zero based start position of data.</Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for the table." />
          <Parameter id="Column" name="Column" type="int" description="Number of column to start from (Zero based)" />
          <Parameter id="Row" name="Row" type="int" description="Number of row to start from (Zero based)" />
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Table_Cell1" description="Determine the style of the current cells">
            <enum>
              <item value="QS_Table_Header1">QS_Table_Header1</item>
              <item value="QS_Table_Header2">QS_Table_Header2</item>
              <item value="QS_Table_Header3">QS_Table_Header3</item>
              <item value="QS_Table_Header_Open">QS_Table_Header_Open</item>
              <item value="QS_Table_Cell1">QS_Table_Cell1</item>
              <item value="QS_Table_Cell2">QS_Table_Cell2</item>
              <item value="QS_Table_Cell3">QS_Table_Cell3</item>
              <item value="QS_Table_Cell1_Right">QS_Table_Cell1_Right</item>
              <item value="QS_Table_Cell2_Right">QS_Table_Cell2_Right</item>
              <item value="QS_Table_Cell3_Right">QS_Table_Cell3_Right</item>
              <item value="QS_Table_Cell1_Left">QS_Table_Cell1_Left</item>
              <item value="QS_Table_Cell2_Left">QS_Table_Cell2_Left</item>
              <item value="QS_Table_Cell3_Left">QS_Table_Cell3_Left</item>
              <item value="QS_Table_Cell_Result">QS_Table_Cell_Result</item>
              <item value="QS_Table_Cell_Good">QS_Table_Cell_Good</item>
              <item value="QS_Table_Cell_Bad">QS_Table_Cell_Bad</item>
              <item value="QS_Table_Cell_Open">QS_Table_Cell_Open</item>
            </enum>
          </Parameter>
          <Parameter id="Data" name="Data" type="char[]" value="" description="String based data array which is separated by semicolon" />
        </Function>
        <Function id="LineFeed" name="LineFeed" description="Add a line feed with a variable height to the report">
          <Details>This report item appears as a withespace with a variable height.</Details>
          <Parameter id="Linecount" name="Linecount" type="int" value="1" min="1" max="100" description="Determine the number of lines to define the height of the line feed" />
        </Function>
      </RequiredFunctions>
      <DeviceParameter></DeviceParameter>
      <Device name="NR_BS_ReceiverTests" description="" width="180" height="70">
        <Image file="B_NR_BS_PerformanceTests.jpg" opacity="0" width="0" height="90" />
        <Ports />
      </Device>
      <VersionInformation BlockAPIVersion="04.00" />
    </Block>
    <Block id="B_FlowControl" type="NonDevice" category="User Blocks" parent="User">
      <Ports>
        <InPort id="FlowControlInPort" />
        <OutPort id="FlowControlOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Join" name="Fork/Join" description="The FORK/JOIN node enables the fan-in of multiple routes.">
          <Details>Join-Statement: The procedure continues if the preceding block functions of ALL incoming routes are completed (logical AND on input connector).

Fork-Statement: The procedure continues if the incoming route is completed. Afterwards all other block functions underneath the bar will continue. </Details>
        </Function>
        <Function id="Or" name="Or" description="The OR node allows the logical disjunction of multiple blockfunction nodes.">
          <Details>The procedure continues if ONE of the preceding block functions of the incoming routes is completed (round yellow symbol connectors).

When more than one connection is attached to an in-connector, the local OR is also valid for these connections.

The output connector is located at the bottom (flat black connector symbol). If one of the preceding block functions are completed the block function which is connected with the output will continue.

For loops the OR statement is necessary. For more information, please see the QuickStep Training Manual (chapter "Using control statements").  </Details>
        </Function>
        <Function id="If" name="If" description="The IF node enables the conditional control of the execution of the test procedure.">
          <Details>Enter a condition for example to a global bool parameter like this: ($G.CalcFinish) == True. For a global int parameter like this: ($G.LoopProcedure) &lt; 10. For more information, please see the QuickStep Training Manual (chapter "Using control statements").

If the condition is true, the procedure continues following the green output on the right hand side.

If the condition is false, the procedure continues following the red output at the bottom.

In case more than one incoming route is connected to the input connector at the top of the IF node, the IF statement is executed as soon as the preceeding block functions on ALL these connected routes are completed (logical AND connection).

For multiple alternative incoming routes an additional Or-Statement shall be used.</Details>
        </Function>
        <Function id="End" name="End" description="The End node is an optional node which might be used to assure a defined termination behavior of a specifc test procedure phase.">
          <Details>If no END node is used, a test procedure phase is terminated when the execution of all block functions without a successor is completed. The END node might be used to define the behavior if several conditional branches exist in a procedure. If one or several END nodes are used, the test procedure phase is terminated as soon as the first END node is reached.

Hints: 
- In case of conditional branches within a test procedure, each branch has to be connected to an individual END node. Otherwise the execution cannot continue.
- If END nodes are used, all block functions without a successor have to be connected to an END node.
- If several branches are connected to one identical END node, all these branches have to be completed before the END node is activated (AND behavior).
- If branches are connected to several different END node, the execution phase is terminated, as soon as the first END node is reached (OR behavior).
- If an execution phase is terminated due to an END node, all running block functions will finish, but no new block function will start.</Details>
        </Function>
        <Function id="Pin" name="Routing Pin" description="The ROUTING PIN node has no functionallity at all - it might be uses to optimize the graphical routing of dependency lines within the Test Procedure Browser.">
          <Details>It can only have one input and one output connection.</Details>
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions />
    </Block>
    <Block id="B_RS_Report" type="NonDevice" category="Utilities" parent="User" visible="True" description="Creates reports and subreports.">
      <Details>This block offers a way to create individual reports and subreports with QuickStep. How to create an own report please see chapter '8 Creating a Report' in the QSTrainingUser manual.</Details>
      <Ports>
        <InPort id="BlockInPort" />
        <OutPort id="BlockOutPort" />
      </Ports>
      <ProvidedFunctions>
        <Function id="Init" name="Init" exectime="TestrunBefore" description="Initialization activities for this block" usable="True">
          <Details>Initialization activities for this block, e.g. member initialization, starting timer, etc.
Call this block function at the beginning of your test execution - typically in the TestrunBefore execution phase.
</Details>
          <Reply id="ReplyMessage" name="ReplyMessage" type="char[SHORTNAMELENGTH]" value="" description="" />
          <Parameter id="ShowPreview" name="ShowPreview" type="bool" value="true" description="Determines if the preview window is shown during test execution. The size and position of the preview window is set with the following parameters." />
          <Parameter id="height" name="Window Height" type="int" value="90" unit="%" min="10" max="100" description="Window Height in % of display resoultion (min. 500 pixels)." />
          <Parameter id="width" name="Window Width" type="int" value="50" unit="%" min="10" max="100" description="Window Width in % of display resoultion (min. 400 pixels)." />
          <Parameter id="top" name="Y-Positioning" type="int" value="0" unit="%" min="0" max="95" description="Defines the position of the top-left corner of the pop-up window. 0 corresponds to top alignment on the monitor, 100 to bottom alignment." />
          <Parameter id="left" name="X-Positioning" type="int" value="0" unit="%" min="0" max="100" description="Defines the position of the top-left corner of the pop-up window. 0 corresponds to left alignment on the monitor, 100 to top alignment." />
          <Parameter id="monitor" name="Monitor" type="int" value="1" description="Monitor on which the preview should be displayed.">
            <enum>
              <item value="1">Primary</item>
              <item value="2">Secondary</item>
            </enum>
          </Parameter>
        </Function>
        <Function id="PrintIdentity" name="PrintIdentity" description="Print identity of this block and/or its associated equipment." usable="False">
          <Details>Print identity of this block and/or its associated equipment.</Details>
        </Function>
        <Function id="Open" name="Open" exectime="TestrunBefore" description="Activities to open connections, channels or other communication interfaces." usable="False">
          <Details>Activities to open connections, channels or other communication interfaces.</Details>
        </Function>
        <Function id="Close" name="Close" exectime="TestrunAfter" description="Closes the report block as soon as the report generation is completed." usable="True">
          <Details>This function is typically used in the TestrunAfter execution phase. Call this block function at the end of your test execution.</Details>
        </Function>
        <Function id="Reset" name="Reset" description="Activities to reset the block and its associated equipment to its default state." usable="False">
          <Details>Activities to reset the block and its associated equipment to its default state.</Details>
        </Function>
        <Function id="CreateReport" name="CreateReport" description="Define general settings for a new report" usable="True">
          <Details>Creates a new virtual report document and defines general settings for the new report. This function is mandatory and must be executed after the Init() block function before adding any report items to the report.</Details>
          <Parameter id="Type" name="Type" type="char[LONGNAMELENGTH]" value="Body1" description="Chose a predefined layout for the master report or enter a path if a custom header is used.">
            <enum>
              <item value="Body1">Body1</item>
              <item value="Body2">Body2</item>
              <item value="Body3">Body3</item>
              <item value="Empty">Empty</item>
            </enum>
          </Parameter>
          <Parameter id="DutName" name="DutName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the DUT." />
          <Parameter id="ReportName" name="ReportName" type="char[LONGNAMELENGTH]" value="" description="Enter the name of the report. This name is used for the filename." />
          <Parameter id="Title" name="Title" type="char[LONGNAMELENGTH]" value="" description="Enter the main title of the report." />
          <Parameter id="Subtitle" name="Subtitle" type="char[]" value="" description="Enter a subtitle, if necessarry." />
        </Function>
        <Function id="SaveReport" name="SaveReport" description="Saves the virtual report and all containing report items to the specified location. " usable="True">
          <Details>The output format can be DOC, PDF or HTML. Leave the path empty to write in the result path of the testplan.</Details>
          <Reply id="FullReportPath" name="FullReportPath" type="char[]" value="" description="Returns the full report path to the report file;  if PDF+HTML is selected, only the full path to the PDF is returned. The filename is included in the path." />
          <Parameter id="ReportType" name="ReportType" type="char[SHORTNAMELENGTH]" value="PDF" description="Report output type HTML, DOC, PDF and PDF+HTML">
            <enum>
              <item value="HTML">HTML</item>
              <item value="PDF">PDF</item>
              <item value="PDFHTML">PDF + HTML</item>
              <item value="DOC">DOC</item>
            </enum>
          </Parameter>
          <Parameter id="ReportPath" name="ReportPath" type="char[]" value="" description="Specifies the path where the report has to be saved. Leave empty to use the default path (result folder of the current DUT)." />
        </Function>
        <Function id="ShowReportPreview" name="ShowReportPreview" description="Updates the current report preview with the latest generated elements." usable="True">
          <Details>Only the last generated element is previewed, not the complete report.</Details>
          <Parameter id="Wait" name="Wait" type="int" value="1000" min="10" max="100000" description="Sets the waiting time in milliseconds. This is the minimum time a specific preview is visible, Increasing this time slows down the test execution!" />
        </Function>
        <Function id="AddMessage" name="AddMessage" description="Add a new message to the report">
          <Details>This report item will appear as a simple message output.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the message output format">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ShowTestStep" name="ShowTestStep" type="bool" description="Determine if the number of the current test step is shown in the message (Format: &quot;TestStep x:&quot;)" />
          <Parameter id="Text" name="Text" type="char[]" value="" description="The message output" />
        </Function>
        <Function id="AddMessages" name="AddMessages" description="Add overall 5 messages to the report">
          <Details>This report item will appear as a simple message output. Every message will appear in a new line.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Determine the style of the message output format">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="Text1" name="Message 1" type="char[LONGNAMELENGTH]" value="" description="The first message" />
          <Parameter id="Text2" name="Message 2" type="char[LONGNAMELENGTH]" value="" description="The second message" />
          <Parameter id="Text3" name="Message 3" type="char[LONGNAMELENGTH]" value="" description="The third message" />
          <Parameter id="Text4" name="Message 4" type="char[LONGNAMELENGTH]" value="" description="The fourth message" />
          <Parameter id="Text5" name="Message 5" type="char[]" value="" description="The fifth message" />
        </Function>
        <Function id="AddResult" name="AddResult" description="Add a new result to the report." usable="True">
          <Details>This report item will appear as a simple result view, which contains the name, value and the unit of a result.</Details>
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Message_Body1" description="Style to be used to format the output.">
            <enum>
              <item value="QS_Message_Headline1">QS_Message_Headline1</item>
              <item value="QS_Message_Headline2">QS_Message_Headline2</item>
              <item value="QS_Message_Headline3">QS_Message_Headline3</item>
              <item value="QS_Message_Body1">QS_Message_Body1</item>
              <item value="QS_Message_Body2">QS_Message_Body2</item>
              <item value="QS_Message_Body3">QS_Message_Body3</item>
              <item value="QS_Message_Tiny1">QS_Message_Tiny1</item>
              <item value="QS_Message_Tiny2">QS_Message_Tiny2</item>
            </enum>
          </Parameter>
          <Parameter id="ResultName" name="ResultName" type="char[LONGNAMELENGTH]" value="" description="Name of the result printed in the report." />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result." />
          <Parameter id="Format" name="Format" type="char[SHORTNAMELENGTH]" value="Decimal" description="Output format of the result.">
            <enum>
              <item value="Decimal">Decimal</item>
              <item value="Hex">Hex</item>
              <item value="String">String</item>
            </enum>
          </Parameter>
          <Parameter id="ResultValue" name="ResultValue" type="char[]" value="" description="Value of the result. Enter value directly or provide a valid reference." />
        </Function>
        <Function id="AddResultMinMax" name="AddResultMinMax" description="Add a result by using a bullet control with min and max boundaries" usable="True">
          <Details>The bar shows by default 3 times the range of Min-Max. If the value is outside this range, it will be extended accordingly. A Pass/Fail evaluation of "Value" is automatically performed against the "Min" and "Max" values.</Details>
          <Parameter id="Name" name="Name" type="char[LONGNAMELENGTH]" value="" description="Name of the result printed in the report." />
          <Parameter id="Unit" name="Unit" type="char[SHORTNAMELENGTH]" value="" description="Unit of the result." />
          <Parameter id="Min" name="Min" type="char[LONGNAMELENGTH]" value="" description="Minimum value for the Pass/Fail evaluation." />
          <Parameter id="Max" name="Max" type="char[LONGNAMELENGTH]" value="" description="Maximum value for the Pass/Fail evaluation." />
          <Parameter id="DecimalPlaces" name="DecimalPlaces" type="int" value="4" min="1" max="8" description="Number of decimal places for the result." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value of the result. Enter a value directly or a valid reference." />
        </Function>
        <Function id="AddImage" name="AddImage" description="Add the image of the specified folder">
          <Details>
        This report item will appear as a simple image output.

        Imagefile Path:
        There are three possibilities to set the path:
        1: Absolute path, e.g.: C:\Imagefiles\Imagefile1.bmp
        2: No path (empty). Will automatically search in the current Dut Folder.
        3: Relative path:
        relative to current dut folder: e.g. ".\Imagefile1.png"
        relative to parent directory of the current dut folder "..\Imagefile1.jpg"
        4: File Extension:
        Use a wildcard to filter for special signatures of filename or file types: 
        e.g. ".\Windowshots\?.png"
        or   "C:\Imagefiles\?_Image_?.bmp"
        or   "..\Images\Image_?_*.bmp"

        If Imagefile Name has "*" as last character (e.g.: Tracefile *.png) QuickStep will add Repetition Number, TestStep ID and Loop Number.
      </Details>
          <Parameter id="Width" name="Width [cm]" type="double" value="8" unit="cm" description="Determine the width of the current image in centimeter. The width can not bigger than the document width (16cm)." />
          <Parameter id="Height" name="Height [cm]" type="double" value="7" unit="cm" description="Determine the heigh tof the current image in centimeter. The height is limited to max 25cm." />
          <Parameter id="ImagePath" name="ImagePath" type="char[]" value="" description="Path to image" />
        </Function>
        <Function id="CreateTable" name="CreateTable" description="Create a new table in the report. " usable="True">
          <Details>After initializing the table with a unique table id, use the functions "AddDataRowToTable" or "AddDataColumnToTable" to fill the table with elements.
The width of each column can defined by using the parameter 'ColumnWidth'. Separate the input values with a semicolon and enter the width in relation to the full width of the report document.
The sum of all column widths must be 100. (For example, 3 columns with the relation 50;25;25)
Leave the field empty to divide the count of columns with the width of the report documents width.
      </Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for this table. This Id must be unique for each table in the report." />
          <Parameter id="ColumnCount" name="ColumnCount" type="int" value="1" min="1" max="100000" description="Number of columns for this table." />
          <Parameter id="RowCount" name="RowCount" type="int" value="1" min="1" max="100000" description="Number of rows for this table." />
          <Parameter id="ColumnWidth" name="ColumnWidth" type="char[]" value="" description="Width of each column in relation to the total table width provided in a semicolon separated list. The sum of all column widths must be 100. For example for 3 columns with individual widths enter: 50;25;25; Leave the field empty to get equally distributed column widths;" />
        </Function>
        <Function id="AddDataRowToTable" name="AddDataRowToTable" description="Adds a single element or an array of data at the specified position of the table. " usable="True">
          <Details>If an array of elements is provided, the elements are inserted in a contiguous row starting at the specified cell.
The parameter 'Row' defines the zero based start position of data. 

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given TableId to ensure unique TableIds over different test-steps. Therefore a table has to be filled with data in the same test-step where the CreateTable() block function was called.</Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for the table where the data should be inserted." />
          <Parameter id="Column" name="Column" type="int" description="Number of the column to start insertion (Zero based)." />
          <Parameter id="Row" name="Row" type="int" description="Number of the row to start insertion (Zero based)" />
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Table_Cell1" description="Selection of the applicable style for the inserted cells.">
            <enum>
              <item value="QS_Table_Header1">QS_Table_Header1</item>
              <item value="QS_Table_Header2">QS_Table_Header2</item>
              <item value="QS_Table_Header3">QS_Table_Header3</item>
              <item value="QS_Table_Header_Open">QS_Table_Header_Open</item>
              <item value="QS_Table_Cell1">QS_Table_Cell1</item>
              <item value="QS_Table_Cell2">QS_Table_Cell2</item>
              <item value="QS_Table_Cell3">QS_Table_Cell3</item>
              <item value="QS_Table_Cell1_Right">QS_Table_Cell1_Right</item>
              <item value="QS_Table_Cell2_Right">QS_Table_Cell2_Right</item>
              <item value="QS_Table_Cell3_Right">QS_Table_Cell3_Right</item>
              <item value="QS_Table_Cell1_Left">QS_Table_Cell1_Left</item>
              <item value="QS_Table_Cell2_Left">QS_Table_Cell2_Left</item>
              <item value="QS_Table_Cell3_Left">QS_Table_Cell3_Left</item>
              <item value="QS_Table_Cell_Result">QS_Table_Cell_Result</item>
              <item value="QS_Table_Cell_Good">QS_Table_Cell_Good</item>
              <item value="QS_Table_Cell_Bad">QS_Table_Cell_Bad</item>
              <item value="QS_Table_Cell_Open">QS_Table_Cell_Open</item>
            </enum>
          </Parameter>
          <Parameter id="Data" name="Data" type="char[]" value="" description="String based data array which is separated by semicolon." />
        </Function>
        <Function id="AddDataColumnToTable" name="AddDataColumnToTable" description="Adds a single element or an array of data at the specified position of the table." usable="True">
          <Details>If an array of elements is provided, the elements are inserted in a contiguous column starting at the specified cell.
The parameter 'Column' and 'Row' define the zero based start position of data. 

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given TableId to ensure unique TableIds over different test-steps. Therefore a table has to be filled with data in the same test-step where the CreateTable() block function was called.</Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="Table1" description="Identifier for the table where the data should be inserted." />
          <Parameter id="Column" name="Column" type="int" description="Number of the column to start insertion (Zero based)." />
          <Parameter id="Row" name="Row" type="int" description="Number of the row to start insertion (Zero based)." />
          <Parameter id="Style" name="Style" type="char[LONGNAMELENGTH]" value="QS_Table_Cell1" description="Selection of the applicable style of the inserted cells.">
            <enum>
              <item value="QS_Table_Header1">QS_Table_Header1</item>
              <item value="QS_Table_Header2">QS_Table_Header2</item>
              <item value="QS_Table_Header3">QS_Table_Header3</item>
              <item value="QS_Table_Header_Open">QS_Table_Header_Open</item>
              <item value="QS_Table_Cell1">QS_Table_Cell1</item>
              <item value="QS_Table_Cell2">QS_Table_Cell2</item>
              <item value="QS_Table_Cell3">QS_Table_Cell3</item>
              <item value="QS_Table_Cell1_Right">QS_Table_Cell1_Right</item>
              <item value="QS_Table_Cell2_Right">QS_Table_Cell2_Right</item>
              <item value="QS_Table_Cell3_Right">QS_Table_Cell3_Right</item>
              <item value="QS_Table_Cell1_Left">QS_Table_Cell1_Left</item>
              <item value="QS_Table_Cell2_Left">QS_Table_Cell2_Left</item>
              <item value="QS_Table_Cell3_Left">QS_Table_Cell3_Left</item>
              <item value="QS_Table_Cell_Result">QS_Table_Cell_Result</item>
              <item value="QS_Table_Cell_Good">QS_Table_Cell_Good</item>
              <item value="QS_Table_Cell_Bad">QS_Table_Cell_Bad</item>
              <item value="QS_Table_Cell_Open">QS_Table_Cell_Open</item>
            </enum>
          </Parameter>
          <Parameter id="Data" name="Data" type="char[]" value="" description="String based data array which is separated by semicolon." />
        </Function>
        <Function id="AddSubreport" name="AddSubreport" description="Add a new subreport to the current report" usable="True">
          <Details>Subreports can be interpreted as a kind of template for specific elements in the report. They are customized bundles of report elements, which can be inserted in the report as a complete bundle. If the subreport contains data-fields, these can be filled using the block functions AddResult[s]ToSubreport[Full-Id]().
Subreports must be created and stored before they can be used (you can have a look at the User Training for detailed information how to create a subreport).
Supreports can be created by using the ReportDesigner in the Test Procedure Editor.

Input Parameter: 
SubreportId: A unique ID has to be defined for each subreport. Thus the subreport can be unambiguously identified in the block function AddResultsToSubreport. 
SubreportPath: Path to the Subreport file.
        There are three possibilities to set the path:
        1: Absolute path, e.g.: C:\Subreportfiles\Subreportfile1.rdlx
        2: No path (empty). Will automatically search in the current Dut folder.
        3: Relative path:
        relative to current dut folder: e.g. ".\Subreportfile1.rdlx"
        relative to parent directory of the current dut folder "..\Subreportfile1.rdlx"

        If the filename has "*" as last character (e.g.: Subreportfile1*.rdlx) QuickStep will add Repetition Number, TestStep ID and Loop Number.
      
Out Parameters:
The SubreportId, the TestStepId, the RepetitionNumber and the SweepId can be set as global reference parameters ($G.) to further use the parameters for other block functions.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId to ensure unique SubreportId even if the block function is called subsequentially in different test-steps.</Details>
          <Reply id="SubreportId" name="SubreportId" type="char[]" value="" description="Unique name for the subreport. Using this Id, the subreport can be unambiguously identified in the block function AddResult[s]ToSubreport[FullId]()." />
          <Reply id="TestStepId" name="TestStepId" type="int" description="Current Test-Step Id." />
          <Reply id="RepetitionNumber" name="RepetitionNumber" type="int" description="Current Repetition Number." />
          <Reply id="SweepId" name="SweepId" type="int" description="Current Sweep Id." />
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier for this subreport. This Id must be unique for each subreport in the report." />
          <Parameter id="SubreportPath" name="SubreportPath" type="char[]" value="" description="Path to the subreport file." />
        </Function>
        <Function id="AddResultToSubreport" name="AddResultToSubreport" description="Add a value or result to the selected subreport." usable="True">
          <Details>The Field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
Also, the SubreportId provided in this block function is extended internally with the current repetition number, test-step number and loop-id. Therefore a Subreport has to be filled with data using this block function in the same test-step where the Subreport was added. 
Use the block function AddResultToSubReportFullId to add data to a specific subreport of a specific test step.</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="FieldValue" name="FieldValue" type="char[LONGNAMELENGTH]" value="" description="Name of the field in the Subreport where the data should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
        <Function id="AddResultsToSubreport" name="AddResultsToSubreport" description="Adds up to 5 values to the slected Subreport. " usable="True">
          <Details>The field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
Also, the SubreportId provided in this block function is extended internally with the current repetition number, test-step number and loop-id. Therefore a Subreport has to be filled with data using this block function in the same test-step where the Subreport was added.
Use the block function AddResultsToSubReportFullId to add data to a specific subreport of a specific test step.
</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="FieldValue1" name="FieldValue1" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value1" name="Value1" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue2" name="FieldValue2" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value2" name="Value2" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue3" name="FieldValue3" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value3" name="Value3" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue4" name="FieldValue4" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value4" name="Value4" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue5" name="FieldValue5" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value5" name="Value5" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
        <Function id="TraceToChart" name="TraceToChart" description="Creates a new chart representing the given trace file. " usable="True">
          <Details>The chart type can be a Cartesian, Polar or Smith chart. The style of the curves can be either line or symbols.

Tracefile Path:
There are three possibilities to set the path:
1: Absolute path, e.g.: C:\Tracefiles\Tracefile1.txt
2: No path (empty). Will automatically search in the Traces Folder of the current Dut.
3: Relative path:
relative to current dut folder: e.g. ".\Tracefile1.txt"
relative to parent directory of the current dut folder "..\Tracefile1.txt"

If Tracefile Name has "*" as last character (e.g.: Tracefile *.txt) QuickStep will add Repetition Number, TestStep ID and Loop Number.
This can be used when mutliple Tracefiles are generated in one Folder and the current one should be drawn.</Details>
          <Parameter id="ChartType" name="ChartType" type="char[SHORTNAMELENGTH]" value="Cartesain" description="Grid type of chart.">
            <enum>
              <item value="Cartesain">Cartesian</item>
              <item value="Polar">Polar</item>
              <item value="Smith">Smith</item>
            </enum>
          </Parameter>
          <Parameter id="ChartStyle" name="ChartStyle" type="char[SHORTNAMELENGTH]" value="Light2" description="Chart background and grid layout.">
            <enum>
              <item value="Dark1">Dark1</item>
              <item value="Dark2">Dark2</item>
              <item value="Light1">Light1</item>
              <item value="Light2">Light2</item>
            </enum>
          </Parameter>
          <Parameter id="LineStyle" name="LineStyle" type="char[SHORTNAMELENGTH]" value="Line" description="Appearance of the curve.">
            <enum>
              <item value="Line">Line</item>
              <item value="Symbol">Symbol</item>
            </enum>
          </Parameter>
          <Parameter id="TraceFile" name="TraceFile" type="char[]" value="" description="Path to the trace file" />
        </Function>
        <Function id="AddLine" name="AddLine" description="Add a horizontal line to the current report" />
        <Function id="TraceToTable" name="TraceToTable" description="Creates a new table listing the content of a QuickStep trace file." usable="True">
          <Details>Create a new table depending on the given trace file. The table will scale the rows and columns automatically.

Tracefile Path:
There are three possibilities to set the path:
1: Absolute path, e.g.: C:\Tracefiles\Tracefile1.txt
2: No path (empty). Will automatically search in the Traces Folder of the current Dut.
3: Relative path:
relative to current dut folder: e.g. ".\Tracefile1.txt"
relative to parent directory of the current dut folder "..\Tracefile1.txt"

If Tracefile Name has "*" as last character (e.g.: Tracefile *.txt) QuickStep will add Repetition Number, TestStep ID and Loop Number.
This can be used when mutliple Tracefiles are generated in one Folder and the current one should be drawn.
      </Details>
          <Parameter id="TableId" name="TableId" type="char[LONGNAMELENGTH]" value="TraceTable1" description="Identifier for this table. This Id must be unique for each table in the report." />
          <Parameter id="TraceFile" name="TraceFile" type="char[]" value="" description="Path to trace file." />
        </Function>
        <Function id="LineFeed" name="LineFeed" description="Add a line feed with a variable height to the report">
          <Details>This report item appears as a withespace with a variable height.</Details>
          <Parameter id="Linecount" name="Linecount" type="int" value="1" min="1" max="100" description="Determine the number of lines to define the height of the line feed" />
        </Function>
        <Function id="NewPage" name="NewPage" description="Creates a new page in the report." usable="True" />
        <Function id="GetReportDirectory" name="GetReportDirectory" description="Returns the report directory" usable="True">
          <Details>Returns the report directory.</Details>
          <Reply id="ReportDirectory" name="ReportDirectory" type="char[]" value="" description="Report directory." />
        </Function>
        <Function id="AddResultToSubreportFullId" name="AddResultToSubreportFullId" description="Adds a value to the selected Subreport. " usable="True">
          <Details>The Field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
This block-function can be used to add data to a specific subreport of a specific test step by explicitly providing the repetition number, test-step number and loop-id which should be used to construct the internally used SubreportId.</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="TestStepId" name="TestStepId" type="int" description="TestStepId used to explicitly address a subreport added in a specific test step." />
          <Parameter id="RepetitionNumber" name="RepetitionNumber" type="int" description="RepetitionNumber used to explicitly address a subreport added in a specific test step; select an execution phase from the drop-down menu or directly enter a repetition number as integer.">
            <enum>
              <item value="-5">TestrunBefore</item>
              <item value="-2">TestrunAfter</item>
              <item value="-4">DutLoopBefore</item>
              <item value="-3">DutLoopAfter</item>
            </enum>
          </Parameter>
          <Parameter id="SweepId" name="SweepId" type="int" description="Sweepid used to explicitly address a subreport added in a specific test step." />
          <Parameter id="FieldValue" name="FieldValue" type="char[LONGNAMELENGTH]" value="" description="Name of the field in the Subreport where the data should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value" name="Value" type="char[]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
        <Function id="AddResultsToSubreportFullId" name="AddResultsToSubreportFullId" description="Adds up to 5 values to the slected Subreport. " usable="True">
          <Details>The field names available in a Subreport are determined while the subreport is generated using the ReportDesigner.

Note: QuickStep internally appends the current repetition number, test-step number and loop-id to the given SubreportId when a subreport is added. This is to ensure unique SubreportIds over different test-steps. 
This block-function can be used to add data to a specific subreport of a specific test step by explicitly providing the repetition number, test-step number and loop-id which should be used to construct the internally used SubreportId.</Details>
          <Parameter id="SubreportId" name="SubreportId" type="char[LONGNAMELENGTH]" value="" description="Identifier of the Subreport to which the data should be added." />
          <Parameter id="TestStepId" name="TestStepId" type="int" description="TestStepId used to explicitly address a subreport added in a specific test step." />
          <Parameter id="RepetitionNumber" name="RepetitionNumber" type="int" description="RepetitionNumber used to explicitly address a subreport added in a specific test step; select an execution phase from the drop-down menu or directly enter a repetition number as integer.">
            <enum>
              <item value="-5">TestrunBefore</item>
              <item value="-2">TestrunAfter</item>
              <item value="-4">DutLoopBefore</item>
              <item value="-3">DutLoopAfter</item>
            </enum>
          </Parameter>
          <Parameter id="SweepId" name="SweepId" type="int" description="Sweepid used to explicitly address a subreport added in a specific test step." />
          <Parameter id="FieldValue1" name="FieldValue1" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value1" name="Value1" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue2" name="FieldValue2" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value2" name="Value2" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue3" name="FieldValue3" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value3" name="Value3" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue4" name="FieldValue4" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value4" name="Value4" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
          <Parameter id="FieldValue5" name="FieldValue5" type="char[LONGNAMELENGTH]" value="" description="Name of a field in the Subreport where the value should be applied. Make sure the name is identical to the one defined in the Subreport." />
          <Parameter id="Value5" name="Value5" type="char[LONGNAMELENGTH]" value="" description="Value which should be applied to the selected Field of the subreport." />
        </Function>
      </ProvidedFunctions>
      <RequiredFunctions></RequiredFunctions>
      <VersionInformation BlockAPIVersion="04.00" />
    </Block>
  </BlockDefinitions>
  <SystemDefinition name="Solutionname">
    <Projects>
      <Project name="System 1" isactive="True" id="2968e174-3412-4643-9b0b-13f472c31100">
        <Parameters />
        <Devices />
        <Connections />
        <ConnectionGroups />
      </Project>
    </Projects>
  </SystemDefinition>
  <TestrunBefore name="Testrun Before" enabled="true" description="The Block Functions in this phase are executed only once at the start of the test." condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureBefore">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="75514941-6f68-4327-9763-18fd05589faa" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="ForceScpi" value="True" />
          <Parameter id="VisaResource" value="$V.myDevice" />
        </Parameters>
        <Replies>
          <Reply id="ReplyMessage" value="" />
        </Replies>
      </TestFunction>
      <TestFunction id="1" refTpFunctionId="bbb69e28-b862-4176-9707-2b38c85a0377" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="ShowPreview" value="False" />
          <Parameter id="height" value="90" />
          <Parameter id="width" value="50" />
          <Parameter id="top" value="0" />
          <Parameter id="left" value="0" />
          <Parameter id="monitor" value="1" />
        </Parameters>
        <Replies>
          <Reply id="ReplyMessage" value="" />
        </Replies>
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </TestrunBefore>
  <TestrunAfter name="Testrun After" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureAfter">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="e3df0b3a-6924-4b35-803a-0bce8fb0b8c9" refTpId="MainProcedureAfter">
        <Parameters />
        <Replies />
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </TestrunAfter>
  <GroupBefore />
  <GroupAfter />
  <RepetitionBefore name="DUT Loop Before" enabled="true" description="The Block Functions in this phase will be executed before the start of every new DUT." condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureBefore">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="60a8156e-4eb0-434d-8ad9-f4d147ec0070" refTpId="MainProcedureBefore">
        <Parameters>
          <Parameter id="Type" value="Body1" />
          <Parameter id="DutName" value="" />
          <Parameter id="ReportName" value="" />
          <Parameter id="Title" value="" />
          <Parameter id="Subtitle" value="" />
        </Parameters>
        <Replies />
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </RepetitionBefore>
  <RepetitionAfter name="DUT Loop After" enabled="true" description="" condition="">
    <TestStep index="0" enabled="true" breakpoint="false" id="0" refTpId="MainProcedureAfter">
      <Description></Description>
      <Parameters />
      <TestFunction id="0" refTpFunctionId="705ccc05-5546-46a4-86a2-b46957db1c0d" refTpId="MainProcedureAfter">
        <Parameters>
          <Parameter id="ReportType" value="PDF" />
          <Parameter id="ReportPath" value="" />
        </Parameters>
        <Replies>
          <Reply id="FullReportPath" value="" />
        </Replies>
      </TestFunction>
      <Limits>
        <StaticResultLimits />
        <DynamicResultLimits />
      </Limits>
    </TestStep>
  </RepetitionAfter>
  <TestProcedureBefore />
  <TestProcedureAfter />
  <TestGroup>
    <TestPlan index="0" name="Test 1" enabled="true" description="" condition="">
      <TestSteps>
        <TestStep index="1" enabled="true" breakpoint="false" id="1" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
          <Description></Description>
          <Parameters />
          <TestFunction id="1" refTpFunctionId="ab78f9e1-7e5d-44a0-b611-e94c911cfbfb" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="TxAntenna" value="0" />
              <Parameter id="Duplexing" value="0" />
              <Parameter id="PropagationConditions" value="0" />
              <Parameter id="MappingType" value="0" />
              <Parameter id="DMRSpos" value="0" />
              <Parameter id="FeedbackMode" value="0" />
              <Parameter id="FeedbackRate" value="2" />
              <Parameter id="AdditionalDelay" value="-2.0" />
              <Parameter id="FeedbackConnector" value="0" />
              <Parameter id="BasebandSelector" value="0" />
            </Parameters>
            <Replies />
          </TestFunction>
          <TestFunction id="2" refTpFunctionId="d4d6f770-7502-4486-9803-d213a81554d5" refTpId="9433152d-f42d-4261-adb4-24d5d781c81b">
            <Parameters>
              <Parameter id="BSClass" value="2" />
              <Parameter id="Frequency" value="5000" />
              <Parameter id="ChannelBW" value="6" />
              <Parameter id="SCS" value="1" />
              <Parameter id="CellID" value="0" />
              <Parameter id="UEID" value="0" />
              <Parameter id="TriggerMode" value="1" />
              <Parameter id="MarkerMode" value="1" />
              <Parameter id="RxAntennas" value="2" />
            </Parameters>
            <Replies />
          </TestFunction>
          <Limits>
            <StaticResultLimits />
            <DynamicResultLimits />
          </Limits>
        </TestStep>
      </TestSteps>
    </TestPlan>
  </TestGroup>
  <Mapping selectedSysConfId="2968e174-3412-4643-9b0b-13f472c31100">
    <ParameterMapping refSysConfId="2968e174-3412-4643-9b0b-13f472c31100" />
    <PathMapping refSysConfId="2968e174-3412-4643-9b0b-13f472c31100" />
  </Mapping>
  <AdditionalInfo>
    <GUI version="5.0.0.0" />
    <Sequencer version="5.0.2" />
  </AdditionalInfo>
  <TestProjectParameters />
  <LimitTable />
  <AccessControl enabled="false">
    <Profiles>
      <Profile id="Developer">
        <ModuleConfiguration id="testSystemConfigurator" name="Test System Configurator">
          <Function id="testSystemConfigurator" refId="">
            <Parameters>
              <Parameter id="ShowTestSystemConfigurator" name="ShowTestSystemConfigurator" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testPlanEditor" name="Test Plan Editor">
          <Function id="testPlanEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestPlanEditor" name="ShowTestPlanEditor" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="resultViewer" name="Result Viewer">
          <Function id="resultViewer" refId="">
            <Parameters>
              <Parameter id="ShowResultViewer" name="ShowResultViewer" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProcedureEditor" name="Test Procedure Editor">
          <Function id="testProcedureEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestProcedure" name="ShowTestProcedure" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testExecutionModule" name="Test Execution">
          <Function id="testExecutionModule" refId="">
            <Parameters>
              <Parameter id="ShowTestExecutionViewer" name="ShowTestExecutionViewer" value="True" type="bool" logging="false" />
              <Parameter id="ShowTestDebugger" name="ShowTestDebugger" value="True" type="bool" logging="false" />
              <Parameter id="System Selection" name="System Selection" value="True" type="bool" logging="false" />
              <Parameter id="Single Run" name="Single Run" value="True" type="bool" logging="false" />
              <Parameter id="Continous Run" name="Continous Run" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProgress" name="Test Progress">
          <Function id="testProgress" refId="">
            <Parameters>
              <Parameter id="Continue" name="Continue" value="True" type="bool" logging="false" />
              <Parameter id="Step" name="Step" value="True" type="bool" logging="false" />
              <Parameter id="Break" name="Break" value="True" type="bool" logging="false" />
              <Parameter id="Abort" name="Abort" value="True" type="bool" logging="false" />
              <Parameter id="Kill" name="Kill" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
      </Profile>
      <Profile id="TestPlanEditor">
        <ModuleConfiguration id="testSystemConfigurator" name="Test System Configurator">
          <Function id="testSystemConfigurator" refId="">
            <Parameters>
              <Parameter id="ShowTestSystemConfigurator" name="ShowTestSystemConfigurator" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testPlanEditor" name="Test Plan Editor">
          <Function id="testPlanEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestPlanEditor" name="ShowTestPlanEditor" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="resultViewer" name="Result Viewer">
          <Function id="resultViewer" refId="">
            <Parameters>
              <Parameter id="ShowResultViewer" name="ShowResultViewer" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProcedureEditor" name="Test Procedure Editor">
          <Function id="testProcedureEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestProcedure" name="ShowTestProcedure" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testExecutionModule" name="Test Execution">
          <Function id="testExecutionModule" refId="">
            <Parameters>
              <Parameter id="ShowTestExecutionViewer" name="ShowTestExecutionViewer" value="True" type="bool" logging="false" />
              <Parameter id="ShowTestDebugger" name="ShowTestDebugger" value="True" type="bool" logging="false" />
              <Parameter id="System Selection" name="System Selection" value="True" type="bool" logging="false" />
              <Parameter id="Single Run" name="Single Run" value="True" type="bool" logging="false" />
              <Parameter id="Continous Run" name="Continous Run" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProgress" name="Test Progress">
          <Function id="testProgress" refId="">
            <Parameters>
              <Parameter id="Continue" name="Continue" value="True" type="bool" logging="false" />
              <Parameter id="Step" name="Step" value="True" type="bool" logging="false" />
              <Parameter id="Break" name="Break" value="True" type="bool" logging="false" />
              <Parameter id="Abort" name="Abort" value="True" type="bool" logging="false" />
              <Parameter id="Kill" name="Kill" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
      </Profile>
      <Profile id="Operator">
        <ModuleConfiguration id="testSystemConfigurator" name="Test System Configurator">
          <Function id="testSystemConfigurator" refId="">
            <Parameters>
              <Parameter id="ShowTestSystemConfigurator" name="ShowTestSystemConfigurator" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testPlanEditor" name="Test Plan Editor">
          <Function id="testPlanEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestPlanEditor" name="ShowTestPlanEditor" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="resultViewer" name="Result Viewer">
          <Function id="resultViewer" refId="">
            <Parameters>
              <Parameter id="ShowResultViewer" name="ShowResultViewer" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProcedureEditor" name="Test Procedure Editor">
          <Function id="testProcedureEditor" refId="">
            <Parameters>
              <Parameter id="ShowTestProcedure" name="ShowTestProcedure" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testExecutionModule" name="Test Execution">
          <Function id="testExecutionModule" refId="">
            <Parameters>
              <Parameter id="ShowTestExecutionViewer" name="ShowTestExecutionViewer" value="True" type="bool" logging="false" />
              <Parameter id="ShowTestDebugger" name="ShowTestDebugger" value="True" type="bool" logging="false" />
              <Parameter id="System Selection" name="System Selection" value="True" type="bool" logging="false" />
              <Parameter id="Single Run" name="Single Run" value="True" type="bool" logging="false" />
              <Parameter id="Continous Run" name="Continous Run" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
        <ModuleConfiguration id="testProgress" name="Test Progress">
          <Function id="testProgress" refId="">
            <Parameters>
              <Parameter id="Continue" name="Continue" value="True" type="bool" logging="false" />
              <Parameter id="Step" name="Step" value="True" type="bool" logging="false" />
              <Parameter id="Break" name="Break" value="True" type="bool" logging="false" />
              <Parameter id="Abort" name="Abort" value="True" type="bool" logging="false" />
              <Parameter id="Kill" name="Kill" value="True" type="bool" logging="false" />
            </Parameters>
          </Function>
        </ModuleConfiguration>
      </Profile>
    </Profiles>
    <Users>
      <User name="Developer" password="" profileId="Developer" />
      <User name="TestPlanEditor" password="" profileId="TestPlanEditor" />
      <User name="Operator" password="" profileId="Operator" />
    </Users>
  </AccessControl>
  <TestProcedures>
    <ConnectivityPlan>
      <Devices>
        <Device id="f826fce5-38db-4ce3-bd8d-302816611d8a" name="RS_Report" type="B_RS_Report" position="86,257.08">
          <Parameters>
            <Parameter id="Enabled" name="Enabled" value="True" default="True" type="bool" description="Enables block instance for test procedure execution" />
            <Parameter id="EmulationMode" name="Emulation Mode" value="False" default="False" type="bool" description="Enable the emulation mode for this instance" />
            <Parameter id="BlockInstanceColor" name="Block Instance Color" value="#CCC1DA" default="#FFF5E7" type="color" description="Select the color for this instance" />
          </Parameters>
          <Functions />
        </Device>
        <Device id="dbcd24e7-93bb-4368-8414-b49fed6364d3" name="NR_BS_PerformanceTests" type="B_NR_BS_PerformanceTests" position="5,-79.92">
          <Parameters>
            <Parameter id="Enabled" name="Enabled" value="True" default="True" type="bool" description="Enables block instance for test procedure execution" />
            <Parameter id="EmulationMode" name="Emulation Mode" value="False" default="False" type="bool" description="Enable the emulation mode for this instance" />
            <Parameter id="BlockInstanceColor" name="Block Instance Color" value="#D7E4BC" default="#FFF5E7" type="color" description="Select the color for this instance" />
          </Parameters>
          <Functions />
        </Device>
      </Devices>
      <Connections>
        <Connection id="0fdfc2ff-f1b0-40df-a82c-e6d24c7b483a">
          <Source deviceId="dbcd24e7-93bb-4368-8414-b49fed6364d3" port="BlockOutPort" name="BlockOutPort" />
          <Target deviceId="f826fce5-38db-4ce3-bd8d-302816611d8a" port="BlockInPort" name="BlockInPort" />
        </Connection>
      </Connections>
      <Parameters />
    </ConnectivityPlan>
    <MainProcedureBefore id="MainProcedureBefore" name="Main Procedure Before">
      <TestrunBefore enabled="True">
        <TestFunction id="bbb69e28-b862-4176-9707-2b38c85a0377" name="Init" type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="Init" condition="" enabled="true" position="290,60" width="NaN" breakpoint="false">
          <Parameters>
            <Parameter id="ShowPreview" name="ShowPreview" value="False" type="bool" enabled="true" logging="false" />
            <Parameter id="height" name="Window Height" value="90" type="int" enabled="true" logging="false" />
            <Parameter id="width" name="Window Width" value="50" type="int" enabled="true" logging="false" />
            <Parameter id="top" name="Y-Positioning" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="left" name="X-Positioning" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="monitor" name="Monitor" value="1" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="ReplyMessage" name="ReplyMessage" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Replies>
          <Dependency to="75514941-6f68-4327-9763-18fd05589faa" />
        </TestFunction>
        <TestFunction id="75514941-6f68-4327-9763-18fd05589faa" name="Init" type="TestFunction" blockid="dbcd24e7-93bb-4368-8414-b49fed6364d3" functionid="Init" condition="" enabled="true" position="230,-240" width="200" breakpoint="false">
          <Parameters>
            <Parameter id="ForceScpi" name="Force sending SCPI commands." value="True" type="bool" enabled="true" logging="false" />
            <Parameter id="VisaResource" name="SMW" value="$V.myDevice" type="VISA_Resource[LONGNAMELENGTH]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="ReplyMessage" name="ReplyMessage" value="" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
          </Replies>
          <Successor to="bbb69e28-b862-4176-9707-2b38c85a0377" />
        </TestFunction>
        <Connection id="0ae65aba-fd18-42ed-8e95-99062a54efdb" name="" condition="">
          <Source functionid="75514941-6f68-4327-9763-18fd05589faa" name="Init" port="Down1" />
          <Target functionid="bbb69e28-b862-4176-9707-2b38c85a0377" name="Init" />
        </Connection>
        <Parameters />
      </TestrunBefore>
      <RepetitionBefore enabled="True">
        <TestFunction id="60a8156e-4eb0-434d-8ad9-f4d147ec0070" name="5G Basestation Px Test " type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="CreateReport" condition="" enabled="true" position="170,227.08" width="NaN" breakpoint="false">
          <Parameters>
            <Parameter id="Type" name="Type" value="Body1" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="DutName" name="DutName" value="" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ReportName" name="ReportName" value="" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Title" name="Title" value="" type="char[LONGNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="Subtitle" name="Subtitle" value="" type="char[]" enabled="true" logging="false" />
          </Parameters>
          <Replies />
        </TestFunction>
        <Parameters />
      </RepetitionBefore>
    </MainProcedureBefore>
    <TestProcedure id="9433152d-f42d-4261-adb4-24d5d781c81b" name="Test Procedure">
      <TestProcedureBefore enabled="True">
        <Parameters />
      </TestProcedureBefore>
      <TestStep enabled="True">
        <TestFunction id="d4d6f770-7502-4486-9803-d213a81554d5" name="Basics" type="TestFunction" blockid="dbcd24e7-93bb-4368-8414-b49fed6364d3" functionid="Basics" condition="" enabled="true" position="350,440" width="200" breakpoint="false">
          <Parameters>
            <Parameter id="BSClass" name="Base Station Class" value="2" type="int" enabled="true" logging="false" />
            <Parameter id="Frequency" name="Frequency (MHz)" value="5000" type="double" enabled="true" logging="false" />
            <Parameter id="ChannelBW" name="Channel Bandwidth (MHz)" value="6" type="int" enabled="true" logging="false" />
            <Parameter id="SCS" name="SCS" value="1" type="int" enabled="true" logging="false" />
            <Parameter id="CellID" name="Cell ID" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="UEID" name="UE ID" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="TriggerMode" name="Trigger" value="1" type="int" enabled="true" logging="false" />
            <Parameter id="MarkerMode" name="Marker" value="1" type="int" enabled="true" logging="false" />
            <Parameter id="RxAntennas" name="Rx Antennas" value="2" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies />
          <Dependency to="ab78f9e1-7e5d-44a0-b611-e94c911cfbfb" />
        </TestFunction>
        <TestFunction id="ab78f9e1-7e5d-44a0-b611-e94c911cfbfb" name="Px_8_2_1_PUSCH_PrecDis" type="TestFunction" blockid="dbcd24e7-93bb-4368-8414-b49fed6364d3" functionid="Px_8_2_1_PUSCH_PrecDis" condition="" enabled="true" position="350,170" width="200" breakpoint="false">
          <Parameters>
            <Parameter id="TxAntenna" name="Tx Antennas" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="Duplexing" name="Duplexing" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="PropagationConditions" name="Propagation conditions" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="MappingType" name="Mapping Type" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="DMRSpos" name="DMRS TypeA Position" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="FeedbackMode" name="Feedback Mode" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="FeedbackRate" name="Feedback Data Rate" value="2" type="int" enabled="true" logging="false" />
            <Parameter id="AdditionalDelay" name="Additional User Delay (slots)" value="-2.0" type="double" enabled="true" logging="false" />
            <Parameter id="FeedbackConnector" name="Feedback Connector" value="0" type="int" enabled="true" logging="false" />
            <Parameter id="BasebandSelector" name="Baseband Selector" value="0" type="int" enabled="true" logging="false" />
          </Parameters>
          <Replies />
          <Successor to="d4d6f770-7502-4486-9803-d213a81554d5" />
        </TestFunction>
        <Connection id="e0d9aacc-ee62-4cf6-876e-a7a1c0bd734f" name="" condition="">
          <Source functionid="ab78f9e1-7e5d-44a0-b611-e94c911cfbfb" name="Px_8_2_1_PUSCH_PrecDis" port="Down1" />
          <Target functionid="d4d6f770-7502-4486-9803-d213a81554d5" name="Basics" />
        </Connection>
        <Parameters />
      </TestStep>
      <TestProcedureAfter enabled="True">
        <Parameters />
      </TestProcedureAfter>
    </TestProcedure>
    <MainProcedureAfter id="MainProcedureAfter" name="Main Procedure After">
      <RepetitionAfter enabled="True">
        <TestFunction id="705ccc05-5546-46a4-86a2-b46957db1c0d" name="SaveReport" type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="SaveReport" condition="" enabled="true" position="237,272.08" width="NaN" breakpoint="false">
          <Parameters>
            <Parameter id="ReportType" name="ReportType" value="PDF" type="char[SHORTNAMELENGTH]" enabled="true" logging="false" />
            <Parameter id="ReportPath" name="ReportPath" value="" type="char[]" enabled="true" logging="false" />
          </Parameters>
          <Replies>
            <Reply id="FullReportPath" name="FullReportPath" value="" type="char[]" enabled="true" logging="false" />
          </Replies>
        </TestFunction>
        <Parameters />
      </RepetitionAfter>
      <TestrunAfter enabled="True">
        <TestFunction id="e3df0b3a-6924-4b35-803a-0bce8fb0b8c9" name="Close" type="TestFunction" blockid="f826fce5-38db-4ce3-bd8d-302816611d8a" functionid="Close" condition="" enabled="true" position="164,424.08" width="NaN" breakpoint="false">
          <Parameters />
          <Replies />
        </TestFunction>
        <Parameters />
      </TestrunAfter>
    </MainProcedureAfter>
  </TestProcedures>
  <Log level="Normal" target="tcp://0.0.0.0:5559" />
  <Options>
    <ProvidedFunctions>
      <Function id="General" name="Options">
        <Parameter id="Repetitions" name="Repetitions" type="int" value="1" min="1" description="Repetition Count" />
        <Parameter id="enableLimits" name="Enable Limit Tests" type="bool" value="True">
          <description>Enable result limits check in sequencer.</description>
        </Parameter>
        <Parameter id="ContinueOnFail" name="Continue on Limit Fail" type="bool" value="True">
          <description>Ignore failbins. Testrun won't stop if a fail occurs.</description>
        </Parameter>
        <Parameter id="enableProgressbar" name="Enable ProgressBar" type="bool" value="True">
          <description>Activate Progressbar?</description>
        </Parameter>
        <Parameter id="CheckBlockActive" name="Enable Check-Block" type="bool" value="False">
          <description>Execute Check Block functions before start of test?</description>
        </Parameter>
      </Function>
      <Function id="Debug" name="Debugging">
        <Parameter id="BdfCheck" name="Enable BDF Check" type="bool" value="False">
          <description>Start sequencer with consistency check between testplan and Dll's?</description>
        </Parameter>
        <Parameter id="enableBreakpoints" name="Enable Breakpoints" type="bool" value="True" />
        <Parameter id="ScpiDebug" name="SCPI Commands" type="int" value="1" description="Debugging options for VISA commands.">
          <enum>
            <item value="0"> None </item>
            <item value="1"> Write to Exec.Log </item>
            <item value="2"> Append OPC/SysErr </item>
            <item value="3"> Split and append OPC/SysErr  </item>
          </enum>
        </Parameter>
      </Function>
      <Function id="Log" name="Logging">
        <Parameter id="PathToLogFiles" name="LoggingPath" type="char[LONGNAMELENGTH]" value="" regex="(^$|^(?:[\w]\:|\\|\.)*(\\[A-z_\-\s0-9\\]+(\\|\/))$)" errmsg="Enter a valid absolute or relative path" description="Path To Log Files. Leave empty to use default. &#xD;For relative path the Log Files will be relative to the *.tpl file.&#xD;In case no default use in the Results Viewer &quot;Browse&quot; to allocate the new path to the Log Files. &#xD;&#xD;The base directory is the location of the *.tpl file. &#xD;&#xD;Valid path examples:    &#xD;C:\Results\    &#xD;..\FolderAbove\    &#xD;\\SubFolder\\    &#xD;..\\..\\TestResults\\" />
        <Parameter id="LogLevel" name="Log Level" type="char[SHORTNAMELENGTH]" value="NORMAL">
          <enum>
            <item value="SYSTEM"> SYSTEM/ALWAYS </item>
            <item value="ERR"> ERR </item>
            <item value="WARN"> WARN </item>
            <item value="NORMAL"> NORMAL </item>
            <item value="VERBOSE"> VERBOSE </item>
            <item value="DEBUG_PRINT"> DEBUG_PRINT </item>
          </enum>
        </Parameter>
        <Parameter id="LiveViewReportId" name="LiveViewReport ID" type="char[SHORTNAMELENGTH]" value="Test" />
        <Parameter id="DutId" name="Dut ID" type="char[SHORTNAMELENGTH]" value="MyDUT" />
      </Function>
      <Function id="BlockEmulation" name="Block Emulation (Block Demo Mode)">
        <Parameter id="GlobalEmulationMode" name="Enable Emulation Mode" type="bool" value="False" description="Emulation Mode can be enabled globally here. Additionally it has to be activated for each block individually in Blocks &amp; Connectivity." />
      </Function>
    </ProvidedFunctions>
  </Options>
</Testplan>